#shoot
execute if entity @e[tag=projectile,tag=!TS] run function overdrive:shoot
execute as @e[tag=motion,tag=!TS,tag=!motion_added] at @s rotated as @p run function earth:arrow_motion
#shoot particles
execute at @e[tag=blood-bullet] run particle dust 0.498 0.125 0.125 1 ~ ~ ~0.25 0.01 0.01 0.01 1 5 force


#apple prestige
execute as @a[tag=9] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459015}}]}] run function remove:1


#mask craft
execute at @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459003},Count:1b}}] if entity @e[type=item,nbt={Item:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459010},Count:1b}},distance=..0.5] run function give:mask_craft


#UL Give
execute as @a[tag=earth] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459004}}]}] run function give:ul
execute as @a[tag=fire] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459004}}]}] run function give:ul
execute as @a[tag=wind] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459004}}]}] run function give:ul
execute as @a[tag=light] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459004}}]}] run function give:ul
execute as @a[tag=waiting-ul] at @s if predicate cegm:light run function give:ul_on
execute as @a[tag=ul] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"}]
#UL startup
execute as @a[tag=ul,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function ul:startup
execute as @a[tag=ul,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function ul:off
#UL moves
execute as @a[tag=ul,tag=On,tag=!splot] if score @s 1 matches 1.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Binary Fission","color":"green"}]
execute as @a[tag=ul,tag=On,tag=!splot] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Binary Fission","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!splot] if score @s 1 matches 1.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function ul:split
execute as @a[tag=ul,tag=On,tag=splot] if score @s 1 matches 1.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Recall","color":"green"}]
execute as @a[tag=ul,tag=On,tag=splot] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Recall","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=splot] if score @s 1 matches 1.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function ul:unsplit
execute as @a[tag=ul,tag=On,tag=!wings] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if predicate cegm:hand run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wings","color":"green"}]
execute as @a[tag=ul,tag=On,tag=!wings] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wings","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!wings] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if predicate cegm:hand if score @s crouch matches 1.. run function ul:wings
execute as @a[tag=ul,tag=On,tag=!wings] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wings","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!wings] unless predicate cegm:hand if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wings","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!wings] unless predicate cegm:hand if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function ul:wing_explain
execute as @a[tag=ul,tag=On,tag=wings] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Remove Wings","color":"green"}]
execute as @a[tag=ul,tag=On,tag=wings] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Remove Wings","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=wings] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function ul:wings_off
execute as @a[tag=ul,tag=On] if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Scale Shot","color":"green"}]
execute as @a[tag=ul,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Scale Shot","color":"dark_red"}] 
execute as @a[tag=ul,tag=On] if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function ul:shot
execute as @a[tag=ul,tag=On,tag=!shell] if score @s 4 matches 1.. if predicate cegm:armor if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shell Armor","color":"green"}]
execute as @a[tag=ul,tag=On,tag=!shell] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shell Armor","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!shell] if score @s 4 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. if predicate cegm:armor run function ul:armor
execute as @a[tag=ul,tag=On,tag=!shell] unless predicate cegm:armor if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shell Armor","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=!shell] unless predicate cegm:armor if score @s 4 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function ul:explain_armor
execute as @a[tag=ul,tag=On,tag=shell] if score @s 4 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Remove Armor","color":"green"}]
execute as @a[tag=ul,tag=On,tag=shell] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Remove Armor","color":"dark_red"}] 
execute as @a[tag=ul,tag=On,tag=shell] if score @s 4 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function ul:off_armor
execute as @a[tag=ul,tag=On] if score @s 5 matches 1.. if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Ultimate Hamon","color":"green"}]
execute as @a[tag=ul,tag=On] if score @s 5 matches ..0 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Ultimate Life Form","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Ultimate Hamon","color":"dark_red"}] 
execute as @a[tag=ul,tag=On] if score @s 5 matches 1.. if entity @s[nbt={SelectedItemSlot:4}] if score @s crouch matches 1.. run function ul:ripple
execute as @a[tag=ul,tag=On,tag=DD] if score @s 6 matches 1.. if entity @s[nbt={SelectedItemSlot:5}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Ultimate Photosynthesis","color":"green"}]
execute as @a[tag=ul,tag=On,tag=DD] if score @s 6 matches ..0 if entity @s[nbt={SelectedItemSlot:5}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Ultimate Photosynthesis","color":"dark_red"}]
execute as @a[tag=ul,tag=On,tag=DD] if score @s 6 matches 1.. if entity @s[nbt={SelectedItemSlot:5}] if score @s crouch matches 1.. run function ul:dark
#UL passives
execute as @a[tag=ul] run effect give @s strength 1 1 true 
execute as @a[tag=ul] run effect give @s resistance 1 2 true 
execute as @a[tag=ul,tag=!shell] run effect give @s speed 1 1 true 
execute as @a[tag=ul] run effect give @s regeneration 3 0 true 
execute as @a[tag=ul] run attribute @s generic.max_health base set 40
execute as @a[tag=ul] run attribute @s generic.attack_speed base set 9
execute as @a[tag=ul] run attribute @s generic.knockback_resistance base set 0.2
execute at @a[tag=ul,tag=ripple] run particle dust 0.576 0.149 0.149 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=ul,tag=ripple] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
execute as @a[tag=ul,tag=shell] run effect give @s fire_resistance 2 4 true
execute as @a[tag=ul,tag=shell] run effect give @s strength 1 4 true
execute as @a[tag=ul,tag=shell] run effect give @s slowness 1 1 true
execute as @e[tag=split] run effect give @s strength 1 0 true
execute as @e[tag=split] run effect give @s resistance 1 0 true
execute as @e[tag=split] run effect give @s speed 1 0 true
execute as @e[tag=splot] run effect give @s weakness 1 0 true
#UL glide
execute as @a[tag=wings] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459016}}]}] run effect give @s jump_boost 2 4 true
execute as @a[tag=wings] at @s if block ~ ~-3 ~ #hamon:passable if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459016}}]}] run effect give @s slow_falling 1 4 true
execute as @a[tag=wings] at @s if block ~ ~-3 ~ #hamon:passable if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459016}}]}] run effect give @s speed 1 4 true


#cyborg give
execute as @a[tag=!9] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459017}}]}] run function give:cyborg
execute as @a[tag=waiting-cyborg] if score @s Death matches 1.. run function give:cyborg_on
execute as @a[tag=cyborg] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Cyborg","color":"gray"}]
#cyborg startup
execute as @a[tag=cyborg,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function cyborg:startup
execute as @a[tag=cyborg,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function cyborg:off
#cyborg moves
execute as @a[tag=cyborg,tag=On] if score @s 1 matches 1.. if score @s Battery matches 10.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Pressure Pinch","color":"green"}]
execute as @a[tag=cyborg,tag=On] if score @s 1 matches 1.. if score @s Battery matches ..9 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Pressure Pinch","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Pressure Pinch","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 1 matches 1.. if score @s Battery matches 10.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function cyborg:pinch
execute as @a[tag=cyborg,tag=On] if score @s 2 matches 1.. if score @s Battery matches 15.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Hand Projectile","color":"green"}]
execute as @a[tag=cyborg,tag=On] if score @s 2 matches 1.. if score @s Battery matches ..14 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Hand Projectile","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Hand Projectile","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 2 matches 1.. if score @s Battery matches 15.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function cyborg:hand
execute as @a[tag=cyborg,tag=On] if score @s 3 matches 1.. if score @s Battery matches 25.. if entity @s[nbt={SelectedItemSlot:2}] if predicate cegm:hand run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Abdominal Machine Gun","color":"green"}]
execute as @a[tag=cyborg,tag=On] if score @s 3 matches 1.. if score @s Battery matches ..24 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Abdominal Machine Gun","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Abdominal Machine Gun","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] unless predicate cegm:hand if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Abdominal Machine Gun","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] unless predicate cegm:hand if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function cyborg:gun_explain
execute as @a[tag=cyborg,tag=On] if score @s 3 matches 1.. if score @s Battery matches 25.. if entity @s[nbt={SelectedItemSlot:2}] if predicate cegm:hand if score @s crouch matches 1.. run function cyborg:gun_start
execute as @a[tag=cyborg,tag=On] if score @s 4 matches 1.. if score @s Battery matches 20.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus","color":"green"}]
execute as @a[tag=cyborg,tag=On] if score @s 4 matches 1.. if score @s Battery matches ..19 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 4 matches 1.. if score @s Battery matches 20.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function cyborg:eyes
execute as @a[tag=cyborg,tag=On] if score @s 5 matches 1.. if score @s Battery matches 30.. if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus Cannon","color":"green"}]
execute as @a[tag=cyborg,tag=On] if score @s 5 matches 1.. if score @s Battery matches ..29 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus Cannon","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 5 matches ..0 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Cyborg","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"UV Apparatus Cannon","color":"dark_red"}] 
execute as @a[tag=cyborg,tag=On] if score @s 5 matches 1.. if score @s Battery matches 30.. if entity @s[nbt={SelectedItemSlot:4}] if score @s crouch matches 1.. run function cyborg:cannon
#cyborge passives
execute as @a[tag=cyborg,predicate=cegm:helmet] run item replace entity @s armor.head with phantom_membrane{CustomModelData:459013,display:{Name:'{"text":"Cybernetic Enhancments"}'},Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1}
execute as @a[tag=cannoner] run tp @s @e[tag=UV-cannon,sort=nearest,limit=1]
execute as @a[tag=cyborg] if score @s Battery matches 50.. run effect give @s strength 1 0 true 
execute as @a[tag=cyborg] if score @s Battery matches 50.. run effect give @s resistance 1 1 true
execute as @a[tag=cyborg] if score @s Battery matches 50.. run effect give @s fire_resistance 1 1 true


#light mode give
execute as @a[tag=!9,predicate=cegm:helmet] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{Mode:"Light"}}]}] run function give:light
execute as @a[tag=waiting-light] if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459002}}]}] if score @s Bloodshed matches 1.. run function give:light_on
execute as @a[tag=light] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Mode","color":"white"}]
#light mode startup
execute as @a[tag=light,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function light:startup
execute as @a[tag=light,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function light:off
#light mode moves
execute as @a[tag=light,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Heat detection","color":"green"}]
execute as @a[tag=light,tag=On] if score @s 1 matches 1.. if score @s Blood matches ..9 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Heat detection","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Heat detection","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function light:detect
execute as @a[tag=light,tag=On,tag=!bone_blade] if score @s 2 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:1}] if predicate cegm:off_hand run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Brilliant Bone Blade","color":"green"}]
execute as @a[tag=light,tag=On,tag=!bone_blade] if score @s 2 matches 1.. if score @s Blood matches ..24 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Brilliant Bone Blade","color":"dark_red"}] 
execute as @a[tag=light,tag=On,tag=!bone_blade] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Brilliant Bone Blade","color":"dark_red"}] 
execute as @a[tag=light,tag=On,tag=!bone_blade] unless predicate cegm:off_hand if score @s crouch matches 1.. if score @s 2 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:1}] run function light:explain
execute as @a[tag=light,tag=On,tag=!bone_blade] unless predicate cegm:off_hand if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Brilliant Bone Blade","color":"dark_red"}] 
execute as @a[tag=light,tag=On,tag=!bone_blade] if score @s 2 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. if predicate cegm:off_hand run function light:bone
execute as @a[tag=light,tag=On,tag=bone_blade] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Retract Bone Blade","color":"green"}]
execute as @a[tag=light,tag=On,tag=bone_blade] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Retract Bone Blade","color":"dark_red"}]
execute as @a[tag=light,tag=On,tag=bone_blade] if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function light:bone_remove
execute as @a[tag=light,tag=On] if score @s 3 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Light Speed Dash","color":"green"}]
execute as @a[tag=light,tag=On] if score @s 3 matches 1.. if score @s Blood matches ..14 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Light Speed Dash","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Light Speed Dash","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 3 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function light:dash
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] if predicate cegm:off_hand if predicate cegm:hand run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Bone Blade Barrage","color":"green"}]
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. if score @s Blood matches ..49 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Bone Blade Barrage","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Bone Blade Barrage","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. if predicate cegm:off_hand if predicate cegm:hand run function light:barrage
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. unless predicate cegm:off_hand if score @s crouch matches 1.. if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] run function light:explain_bar
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. unless predicate cegm:hand if score @s crouch matches 1.. if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:3}] run function light:explain_bar
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. unless predicate cegm:off_hand if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Bone Blade Barrage","color":"dark_red"}] 
execute as @a[tag=light,tag=On] if score @s 4 matches 1.. unless predicate cegm:hand if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Light Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Bone Blade Barrage","color":"dark_red"}] 
#light mode passives
execute as @e[tag=light] if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run function misc:blood-restore
execute as @a[tag=light] if score @s Blood matches 50.. run effect give @s strength 1 2 true 
execute as @a[tag=light] if score @s Blood matches 50.. run effect give @s speed 1 1 true
execute as @a[tag=light] if score @s Blood matches 50.. run effect give @s resistance 1 1 true
execute as @a[tag=light] run attribute @s minecraft:generic.max_health base set 40
execute as @a[tag=light,tag=bone_blade] if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run effect give @s strength 1 4 true 
execute as @a[tag=light,tag=bone_blade] if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run effect give @s speed 1 4 true
execute as @a[tag=light,tag=bone_blade] at @s if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run particle dust 0.875 0.129 0.129 1 ~ ~1 ~ 0.5 0.5 0.5 250 2 force
execute as @a[tag=light,tag=bone_blade] at @s if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run particle dust 0.467 0.792 0.141 1 ~ ~1 ~ 0.5 0.5 0.5 250 2 force
execute as @a[tag=light,tag=bone_blade] at @s if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run particle dust 0.122 0.243 0.729 1 ~ ~1 ~ 0.5 0.5 0.5 250 2 force
execute as @a[tag=light,tag=bone_blade] at @s if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run particle dust 0.722 0.125 0.643 1 ~ ~1 ~ 0.5 0.5 0.5 250 2 force
execute as @a[tag=light,tag=bone_blade] at @s if entity @s[nbt={SelectedItem:{id:"minecraft:phantom_membrane",tag:{CustomModelData:459007}}}] run particle firework ~ ~1 ~ 0.55 0.55 0.55 0 1 force


#wind mode give
execute as @a[tag=!9,predicate=cegm:helmet] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{Mode:"Wind"}}]}] run function give:wind
execute as @a[tag=waiting-wind] if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459002}}]}] if score @s Bloodshed matches 1.. run function give:wind_on
execute as @a[tag=wind] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Mode","color":"white"}]
#wind mode startup
execute as @a[tag=wind,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function wind:startup
execute as @a[tag=wind,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function wind:off
#wind mode powers
execute as @a[tag=wind,tag=On] if score @s 1 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Divine Sandstorm","color":"green"}]
execute as @a[tag=wind,tag=On] if score @s 1 matches 1.. if score @s Blood matches ..19 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Divine Sandstorm","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Divine Sandstorm","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 1 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function wind:sandstorm
execute as @a[tag=wind,tag=On] if score @s 2 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shadow Sense","color":"green"}]
execute as @a[tag=wind,tag=On] if score @s 2 matches 1.. if score @s Blood matches ..14 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shadow Sense","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Shadow Sense","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 2 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function wind:shadow
execute as @a[tag=wind,tag=On] if score @s 3 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wind Suit","color":"green"}]
execute as @a[tag=wind,tag=On] if score @s 3 matches 1.. if score @s Blood matches ..24 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wind Suit","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Wind Suit","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 3 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function wind:suit
execute as @a[tag=wind,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Atmospheric Rift","color":"green"}]
execute as @a[tag=wind,tag=On] if score @s 4 matches 1.. if score @s Blood matches ..49 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Atmospheric Rift","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Wind Mode","color":"white"},{"text":" | ","color":"dark_gray"},{"text":"Atmospheric Rift","color":"dark_red"}] 
execute as @a[tag=wind,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function wind:rift
#wind mode passives
execute as @e[tag=wind] if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run function misc:blood-restore
execute as @a[tag=wind] if score @s Blood matches 50.. run effect give @s strength 1 2 true 
execute as @a[tag=wind] if score @s Blood matches 50.. run effect give @s speed 1 2 true
execute as @a[tag=wind] if score @s Blood matches 50.. run effect give @s resistance 1 0 true
execute as @a[tag=wind] run attribute @s minecraft:generic.max_health base set 40
#wind mode particles
execute as @a[tag=wind,tag=suited] at @s run particle dust 0.863 0.863 0.863 1 ~ ~1 ~ 0.5 0.5 0.5 1 5
execute at @e[tag=wind,tag=shadow_sense] run particle dust 0.169 0.169 0.165 1 ~ ~1 ~ 0.5 0.5 0.5 1 5 force


#fire mode give
execute as @a[tag=!9,predicate=cegm:helmet] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{Mode:"Fire"}}]}] run function give:fire
execute as @a[tag=waiting-fire] if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459002}}]}] if score @s Bloodshed matches 1.. run function give:fire_on
execute as @a[tag=fire] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Mode","color":"red"}]
#fire mode startup
execute as @a[tag=fire,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function fire:startup
execute as @a[tag=fire,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function fire:off
#fire mode powers
execute as @a[tag=fire,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Boiling Blood Bullet","color":"green"}]
execute as @a[tag=fire,tag=On] if score @s 1 matches 1.. if score @s Blood matches ..9 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Boiling Blood Bullet","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Boiling Blood Bullet","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function fire:bullet
execute as @a[tag=fire,tag=On] if score @s 2 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vein jab","color":"green"}]
execute as @a[tag=fire,tag=On] if score @s 2 matches 1.. if score @s Blood matches ..14 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vein jab","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vein jab","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 2 matches 1.. if score @s Blood matches 15.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function fire:whip
execute as @a[tag=fire,tag=On] if score @s 3 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Creeping Veins","color":"green"}]
execute as @a[tag=fire,tag=On] if score @s 3 matches 1.. if score @s Blood matches ..24 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Creeping Veins","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Creeping Veins","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 3 matches 1.. if score @s Blood matches 25.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function fire:creep
execute as @a[tag=fire,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Self Detonation","color":"green"}]
execute as @a[tag=fire,tag=On] if score @s 4 matches 1.. if score @s Blood matches ..49 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Self Detonation","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Flame Mode","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Self Detonation","color":"dark_red"}] 
execute as @a[tag=fire,tag=On] if score @s 4 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function fire:detonate
#fire mode passive
execute as @e[tag=fire] if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run function misc:blood-restore
execute as @a[tag=fire] if score @s Blood matches 50.. run effect give @s strength 1 1 true 
execute as @a[tag=fire] if score @s Blood matches 50.. run effect give @s speed 1 1 true
execute as @a[tag=fire] if score @s Blood matches 50.. run effect give @s resistance 1 1 true
execute as @a[tag=fire] run attribute @s minecraft:generic.max_health base set 40


#earth mode give 
execute as @a[tag=!9,predicate=cegm:helmet] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{Mode:"Earth"}}]}] run function give:earth
execute as @a[tag=waiting-earth] if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459002}}]}] if score @s Bloodshed matches 1.. run function give:earth_on
execute as @a[tag=earth] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Mode","color":"gray"}]
#earth effects
execute as @a[tag=RibUser] run tp @s @e[tag=RibBlade,sort=nearest,limit=1]
execute at @e[tag=digestion] run particle dust 0.416 0.486 0.369 1 ~ ~1 ~ 0.5 0.5 0.5 1 5 force
#earth mode startup
execute as @a[tag=earth,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function earth:startup
execute as @a[tag=earth,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function earth:off
#earth mode power
execute as @a[tag=earth,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Digestive Absorption","color":"green"}]
execute as @a[tag=earth,tag=On] if score @s 1 matches 1.. if score @s Blood matches ..9 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Digestive Absorption","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Digestive Absorption","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function earth:digest
execute as @a[tag=earth,tag=On] if score @s arrow_count matches 1.. if score @s 2 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Arrow Redirection","color":"green"}]
execute as @a[tag=earth,tag=On] if score @s 2 matches 1.. if score @s Blood matches ..9 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Arrow Redirection","color":"dark_red"}]
execute as @a[tag=earth,tag=On] if score @s arrow_count matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Arrow Redirection","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s arrow_count matches ..0 if score @s crouch matches 1.. if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run function earth:arrow_explain
execute as @a[tag=earth,tag=On] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Arrow Redirection","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 2 matches 1.. if score @s Blood matches 10.. if score @s arrow_count matches 1.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function earth:arrow
execute as @a[tag=earth,tag=On] if score @s 3 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Rib Blades","color":"green"}] 
execute as @a[tag=earth,tag=On] if score @s 3 matches 1.. if score @s Blood matches ..19 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Rib Blades","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Rib Blades","color":"dark_red"}]
execute as @a[tag=earth,tag=On] if score @s 3 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function earth:ribs_start
execute as @a[tag=earth,tag=On] if score @s 4 matches 1.. if score @s Blood matches 35.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Leech","color":"green"}]
execute as @a[tag=earth,tag=On] if score @s 4 matches 1.. if score @s Blood matches ..34 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Leech","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Earth Mode","color":"gray"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Leech","color":"dark_red"}] 
execute as @a[tag=earth,tag=On] if score @s 4 matches 1.. if score @s Blood matches 35.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function earth:leech
#earth passive
execute as @e[tag=earth] if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run function misc:blood-restore
execute as @a[tag=earth] if score @s Blood matches 50.. run effect give @s strength 1 1 true 
execute as @a[tag=earth] if score @s Blood matches 50.. run effect give @s speed 1 0 true
execute as @a[tag=earth] if score @s Blood matches 50.. run effect give @s resistance 1 0 true
execute as @a[tag=earth] run attribute @s minecraft:generic.max_health base set 40


#blood restore
execute as @a if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run scoreboard players operation @s Blood += #10 Blood


#vampire give
execute as @a[tag=!9,predicate=cegm:helmet] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459001}}]}] run function give:vampire
execute as @a[tag=waiting] if entity @s[nbt={Inventory:[{Slot:103b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459001}}]}] if score @s Bloodshed matches 1.. run function give:vampire_on
execute as @a[tag=vampire] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Vampirism","color":"red"}]
#vampire startup
execute as @a[tag=vampire,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function vampire:startup
execute as @a[tag=vampire,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function vampire:off
#vamp passives
execute as @e[tag=vampire] if score @s Blood matches ..99 if score @s Bloodshed matches 1.. run function misc:blood-restore
execute as @a[tag=vampire] if score @s Blood matches 50.. run effect give @s strength 1 0 true 
execute as @a[tag=vampire] if score @s Blood matches 50.. run effect give @s speed 1 0 true
execute as @a[tag=vampire] if score @s Blood matches 50.. run effect give @s regeneration 3 1 true
execute at @a[tag=budder] run particle dust 0.722 0.369 0.369 1 ~ ~1 ~ 0.5 0.5 0.5 1 5
execute at @a[tag=zombify] run particle dust 0.369 0.722 0.404 1 ~ ~1 ~ 0.5 0.5 0.5 1 5
#vampire moves
execute as @a[tag=vampire,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Zombification","color":"green"}]
execute as @a[tag=vampire,tag=On] if score @s 1 matches 1.. if score @s Blood matches ..9 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Zombification","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 1 matches ..0 if entity @s[nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Zombification","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 1 matches 1.. if score @s Blood matches 10.. if entity @s[nbt={SelectedItemSlot:0}] if score @s crouch matches 1.. run function vampire:zombie
execute as @a[tag=vampire,tag=On] if score @s 2 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vaporizing Freeze","color":"green"}]
execute as @a[tag=vampire,tag=On] if score @s 2 matches 1.. if score @s Blood matches ..19 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vaporizing Freeze","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 2 matches ..0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Vaporizing Freeze","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 2 matches 1.. if score @s Blood matches 20.. if entity @s[nbt={SelectedItemSlot:1}] if score @s crouch matches 1.. run function vampire:freeze
execute as @a[tag=vampire,tag=On] if score @s 3 matches 1.. if score @s Blood matches 30.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Bud","color":"green"}] 
execute as @a[tag=vampire,tag=On] if score @s 3 matches 1.. if score @s Blood matches ..29 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Bud","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 3 matches ..0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Flesh Bud","color":"dark_red"}]
execute as @a[tag=vampire,tag=On] if score @s 3 matches 1.. if score @s Blood matches 30.. if entity @s[nbt={SelectedItemSlot:2}] if score @s crouch matches 1.. run function vampire:flesh
execute as @a[tag=vampire,tag=On] if score @s 4 matches 1.. if score @s Blood matches 35.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Force Regeneration","color":"green"}]
execute as @a[tag=vampire,tag=On] if score @s 4 matches 1.. if score @s Blood matches ..34 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Force Regeneration","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 4 matches ..0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Force Regeneration","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 4 matches 1.. if score @s Blood matches 35.. if entity @s[nbt={SelectedItemSlot:3}] if score @s crouch matches 1.. run function vampire:regen
execute as @a[tag=vampire,tag=On] if score @s 5 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Space Ripper Stingy Eyes","color":"green"}]
execute as @a[tag=vampire,tag=On] if score @s 5 matches 1.. if score @s Blood matches ..49 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Space Ripper Stingy Eyes","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 5 matches ..0 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Vampirism","color":"red"},{"text":" | ","color":"dark_gray"},{"text":"Space Ripper Stingy Eyes","color":"dark_red"}] 
execute as @a[tag=vampire,tag=On] if score @s 5 matches 1.. if score @s Blood matches 50.. if entity @s[nbt={SelectedItemSlot:4}] if score @s crouch matches 1.. run function vampire:eyes
execute as @a[tag=vampire,tag=On,tag=DD] if score @s 6 matches 1.. if score @s Blood matches 85.. if entity @s[nbt={SelectedItemSlot:5}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Sub-Zero Permafrost","color":"green"}]
execute as @a[tag=vampire,tag=On,tag=DD] if score @s 6 matches 1.. if score @s Blood matches ..84 if entity @s[nbt={SelectedItemSlot:5}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Sub-Zero Permafrost","color":"dark_red"}]
execute as @a[tag=vampire,tag=On,tag=DD] if score @s 6 matches ..0 if entity @s[nbt={SelectedItemSlot:5}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Sub-Zero Permafrost","color":"dark_red"}]
execute as @a[tag=vampire,tag=On,tag=DD] if score @s 6 matches 1.. if score @s Blood matches 85.. if entity @s[nbt={SelectedItemSlot:5}] if score @s crouch matches 1.. run function vampire:dark
#zombie stuffs
execute as @e[tag=zombie] at @s at @e[tag=ZombieAI,sort=nearest,limit=1] run tp @s ~ ~ ~ facing ^ ^ ^10
execute at @e[tag=zombie] run particle dust 0.212 0.455 0.188 1 ~ ~1 ~ 0.5 0.5 0.5 1 5 force
execute as @e[tag=ZombieAI] run effect give @s invisibility 1 255 true
execute as @e[tag=ZombieAI] at @s unless entity @e[tag=zombie,distance=..0] run tp @s ~ ~-9999 ~
execute as @e[tag=ZombieAI] at @s unless entity @e[tag=zombie,distance=..0] run gamerule showDeathMessages false
execute as @e[tag=zombie] run data modify entity @s NoAI set value 0b
execute as @e[tag=ZombieAI] run effect give @s strength 1 0 true
execute as @e[tag=ZombieAI] run effect give @s resistance 1 0 true
execute as @e[tag=ZombieAI] run effect give @s fire_resistance 1 0 true
execute as @e[tag=zombie] if entity @e[tag=zombie,distance=..1,limit=2,sort=nearest] run tp @s ~ ~ ~2


#water
execute as @e[type=area_effect_cloud,tag=water] at @s unless block ~ ~ ~ water run setblock ~ ~ ~ water


#Overdrive
execute as @a[tag=hamon,tag=On] at @s if block ~ ~1 ~ water run tag @s add blue
execute as @a[tag=hamon,tag=On,tag=blue] at @s unless block ~ ~1 ~ water run tag @s remove blue
execute as @a[tag=hamon,tag=On] at @s if block ~ ~ ~ #hamon:fire run tag @s add red
execute as @a[tag=hamon,tag=On,tag=red] at @s unless block ~ ~ ~ #hamon:fire run tag @s remove red
execute as @a[tag=hamon,tag=On] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459005}}]}] run tag @s add clacker
execute as @a[tag=hamon,tag=On,tag=clacker] unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459005}}]}] run tag @s remove clacker
execute as @a[tag=hamon,tag=On] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459010}}]}] run tag @s add aja
execute as @a[tag=hamon,tag=On,tag=aja] unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459010}}]}] run tag @s remove aja
execute as @a[tag=hamon,tag=On] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459011}}]}] run tag @s add pink
execute as @a[tag=hamon,tag=On,tag=pink] unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459011}}]}] run tag @s remove pink
execute as @a[tag=hamon,tag=On] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:poppy"}]}] run tag @s add green
execute as @a[tag=hamon,tag=On,tag=green] unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:poppy"}]}] run tag @s remove green
execute as @a[tag=hamon,tag=On] if entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:iron_sword",tag:{CustomModelData:459001}}]}] run tag @s add silver
execute as @a[tag=hamon,tag=On,tag=silver] unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:iron_sword",tag:{CustomModelData:459001}}]}] run tag @s remove silver
#hamon startup
execute as @a[tag=hamon,tag=!On,tag=!7power,tag=!8power] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function hamon:startup
execute as @a[tag=hamon,tag=On] if score @s crouch matches 1.. if score @s 9 matches 1.. if data entity @s {SelectedItemSlot:8} run function hamon:off
#Hamon give
execute as @a[tag=!9] if entity @s[nbt={Inventory:[{Slot:-106b,id:"minecraft:phantom_membrane",tag:{CustomModelData:459012}}]}] run function give:hamon
execute as @a[tag=hamon] if entity @s[nbt={SelectedItemSlot:8}] run title @s actionbar [{"text":"Hamon","color":"gold"}]
#overdrives slot
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Sunlight Yellow Overdrive","color":"gold"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Sunlight Yellow Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Sunlight Yellow Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:yellow
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Turquoise Blue Overdrive","color":"aqua"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Turquoise Blue Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Turquoise Blue Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. if entity @s[tag=blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:blue
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Scarlet Red Overdrive","color":"red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Scarlet Red Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Scarlet Red Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. if entity @s[tag=!blue,tag=red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:red
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Fuchsia Pink Overdrive","color":"light_purple"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Fuchsia Pink Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Fuchsia Pink Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. at @s anchored eyes positioned ^ ^ ^ if entity @s[tag=!blue,tag=!red,tag=pink,tag=!green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:pink
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Veridian Green Overdrive","color":"green"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Veridian Green Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Veridian Green Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. at @s anchored eyes positioned ^ ^ ^ if entity @s[tag=!blue,tag=!red,tag=!pink,tag=green,tag=!silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:green 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Metal Silver Overdrive","color":"gray"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Metal Silver Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Metal Silver Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=silver,tag=!aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:silver
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Aja Overdrive","color":"red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Aja Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=aja,tag=!clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Aja Overdrive","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. at @s anchored eyes positioned ^ ^ ^ if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=aja,tag=!clacker,nbt={SelectedItemSlot:0}] run function overdrive:aja
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Clacker Volley","color":"white"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches ..9 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Clacker Volley","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 0 if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=clacker,nbt={SelectedItemSlot:0}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Clacker Volley","color":"dark_red"}] 
execute as @a[tag=hamon,tag=On] if score @s 1 matches 1.. if score @s Breath matches 10.. if score @s crouch matches 1.. at @s anchored eyes positioned ^ ^ ^ if entity @s[tag=!blue,tag=!red,tag=!pink,tag=!green,tag=!silver,tag=!aja,tag=clacker,nbt={SelectedItemSlot:0}] run function overdrive:clackers
#water hamons
execute as @a[tag=hamon,tag=On] if score @s Breath matches 50.. at @s if block ~ ~-1 ~ water run function hamon:water
#particles
execute at @a[tag=hypno] run particle dust 0.882 0.584 0.192 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=hypno] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
execute at @a[tag=yellow] run particle dust 0.882 0.847 0.192 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=yellow] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
execute at @a[tag=scarlet] run particle dust 0.835 0.18 0.18 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=scarlet] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
execute at @a[tag=aqua] run particle dust 0.18 0.725 0.835 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=aqua] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
execute at @a[tag=gray] run particle dust 0.604 0.639 0.647 1 ~ ~1 ~ 0.35 0.5 0.35 1 10
execute at @a[tag=gray] run particle firework ~ ~1 ~ 0.35 0.5 0.35 0 1
#attacks(hamon)
execute as @a[tag=hamon,tag=On] if score @s Breath matches 5.. if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Healing","color":"green"}]
execute as @a[tag=hamon,tag=On] if score @s Breath matches ..4 if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Healing","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s 2 matches 0 if entity @s[nbt={SelectedItemSlot:1}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Healing","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s Breath matches 5.. if score @s crouch matches 1.. if score @s 2 matches 1.. if entity @s[nbt={SelectedItemSlot:1}] run function hamon:heal
execute as @a[tag=hamon,tag=On] if score @s Breath matches 25.. if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Hypnosis","color":"green"}]
execute as @a[tag=hamon,tag=On] if score @s Breath matches ..24 if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Hypnosis","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s 3 matches 0 if entity @s[nbt={SelectedItemSlot:2}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Hypnosis","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s Breath matches 25.. if score @s crouch matches 1.. if score @s 3 matches 1.. if entity @s[nbt={SelectedItemSlot:2}] run function hamon:hypno
execute as @a[tag=hamon,tag=On] if score @s 4 matches 1.. if score @s Breath matches 25.. if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Premonition","color":"green"}]
execute as @a[tag=hamon,tag=On] if score @s 4 matches 1.. if score @s Breath matches ..24 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Premonition","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s 4 matches 0 if entity @s[nbt={SelectedItemSlot:3}] run title @s actionbar [{"text":"Hamon","color":"gold"},{"text":" | ","color":"dark_gray"},{"text":"Hamon Premonition","color":"dark_red"}]
execute as @a[tag=hamon,tag=On] if score @s crouch matches 1.. if score @s 4 matches 1.. if score @s Breath matches 25.. if entity @s[nbt={SelectedItemSlot:3}] run function hamon:premonition
execute as @a[tag=hamon,tag=On,tag=DD] if score @s Breath matches 50.. if score @s 5 matches 1.. if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Dark Overdrive","color":"green"}]
execute as @a[tag=hamon,tag=On,tag=DD] if score @s Breath matches ..49 if score @s 5 matches 1.. if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Dark Overdrive","color":"dark_red"}]
execute as @a[tag=hamon,tag=On,tag=DD] if score @s 5 matches 0 if entity @s[nbt={SelectedItemSlot:4}] run title @s actionbar [{"text":"Dark Determination","color":"dark_purple"},{"text":" | ","color":"dark_gray"},{"text":"Dark Overdrive","color":"dark_red"}]
execute as @a[tag=hamon,tag=On,tag=DD] if score @s crouch matches 1.. if score @s 5 matches 1.. if entity @s[nbt={SelectedItemSlot:4}] run function hamon:dark


#sunburn
execute as @a store result score @s sky run data get entity @s Pos[1]

execute as @a[tag=vampire] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky2
execute as @a[tag=earth] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky2
execute as @a[tag=fire] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky2
execute as @a[tag=wind,tag=!suited] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky2
execute as @a[tag=light] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky2
#sun heal
execute as @a[tag=photosynthesis] if predicate cegm:light at @s if block ~ ~ ~ #hamon:light run function sun:sky3


#misc
execute as @a[scores={Bloodshed=1..}] run scoreboard players set @s Bloodshed 0
execute as @a[scores={Death=1..}] run scoreboard players set @s Death 0
execute as @a[scores={crouch=1..}] at @s run scoreboard players set @s crouch 0